docs.fusial

Upload a document version

POST
/contracts/{id}/versions
x-api-key<token>

Your workspace API key. Create and manage keys in your Fusial workspace settings. Keys carry scopes of the form resource:action.

In: header

Path Parameters

id*string

The contract id.

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/contracts/string/versions" \  -F file="string"
{
  "version": {
    "id": "string",
    "contractId": "string",
    "versionNumber": 0,
    "parentVersionId": "string",
    "source": "UPLOADED",
    "fileName": "string",
    "contentType": "string",
    "sizeBytes": 0,
    "sha256": "string",
    "uploadedById": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Resource not found."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Resource not found."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Resource not found."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Resource not found."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Resource not found."
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "Invalid request input.",
    "details": {
      "issues": [
        {
          "path": "title",
          "message": "String must contain at least 1 character(s)"
        }
      ]
    }
  }
}